program easter;    {By D. Engler ver 1.2  5-4-93}
var a,b,c,d,e,f,x,m:word;
begin
WRITELN('Napis rok pro vypocet Velikonoci. (napr:2001)');
    readln(x);  { 4-digit year }
    a:= x mod 19;
    b:=x mod 4;
    c:=x mod 7;
    d:=(19*a+24) mod 30;
    f:=0; if x<2500 then f:=3;  {correction}
          if x<2300 then f:=2;  {for}
          if x<2200 then f:=1;  {centuries}
          if x<2100 then f:=0;
          if x<1900 then f:=6;
          if x<1800 then f:=5;
          if x<1700 then f:=4;
    e:=(2*b+4*c+6*d+5+f) mod 7;
    e:=22+d+e;
    m:=3; if e>31 then begin m:=4; e:=e-31 end;
    write(e,'-',m,'-',x)
end.
